#! /usr/bin/php -f
<?php
/** This script will automatically create a git hook for git repos for
 projects that do not yet have it.
  
 It is intended to be started in a cronjob.
 */

$FOut = fopen('/var/lib/gforge/tmp/gittracker_logfile', "a");
fwrite($FOut, "\n gittracker/bin/add_gittracker.php \n");
fclose($FOut);


require dirname(__FILE__).'/../../../www/env.inc.php';
require_once $gfcommon.'include/pre.php';
require_once $gfcommon.'include/cron_utils.php';

// Plugins subsystem
require_once $gfcommon.'include/Plugin.class.php' ;
require_once $gfcommon.'include/PluginManager.class.php' ;

setup_plugin_manager () ;

$res = db_query_params ('SELECT plugin_id FROM plugins WHERE plugin_name=$1',
			array ('gittracker')); 

if (!$res) {
	$this->setError('Unable to get list of projects using SCM: '.db_error());
	return false;
}

$pluginId = db_fetch_array ($res);

$groupIds = db_query_params ('SELECT group_id FROM group_plugin WHERE plugin_id=$1',
		array ($pluginId['plugin_id']));

if (!$groupIds) {
	$this->setError('Unable to get list of projects using SCM: '.db_error());
	return false;
}

while ($results = db_fetch_array ($groupIds)) {
	foreach($results as $result){
		$group_id = $result['group_id'];
		plugin_hook ('addGitHookUpdate', $group_id) ;
	}
}


// Local Variables:
// mode: php
// c-file-style: "bsd"
// End:

?>
