-- TRUE? SELECT data_type = 'date' FROM information_schema.columns WHERE table_name = 'plugin_gittracker_data_master' AND column_name='git_date';

DROP INDEX plugin_gittracker_group_artifact_id;

ALTER TABLE plugin_gittracker_data_master ADD COLUMN git_date2 int4;
ALTER TABLE plugin_gittracker_data_master RENAME COLUMN git_date to dead1;
ALTER TABLE plugin_gittracker_data_master ALTER COLUMN dead1 DROP NOT NULL;
ALTER TABLE plugin_gittracker_data_master RENAME COLUMN git_date2 to git_date;                                   
UPDATE plugin_gittracker_data_master SET git_date=date_part('epoch', dead1);
ALTER TABLE plugin_gittracker_data_master ALTER COLUMN git_date SET NOT NULL;

CREATE INDEX plugingittrackerdataartifact_groupartifactid ON plugin_gittracker_data_artifact(group_artifact_id);
CREATE INDEX plugingittrackerdataartifact_projecttaskid ON plugin_gittracker_data_artifact(project_task_id);

CREATE INDEX plugingittrackerdatamaster_holderid ON plugin_gittracker_data_master(holder_id);
CREATE INDEX plugingittrackerdatamaster_gitdate ON plugin_gittracker_data_master(git_date);
